clc
clear

%% IF-ELSEIF-ELSE
% A = [1 2 7;]
% B = [4 5 6;]
% if A==B
%     'A is completely equal to B'
% elseif A>B
%     'A is fully greater than B'
% else
%     'A is neither equal to B, nor greater than B'
% end
% A(A>B)

%% Save and load
% save('test.mat', 'A', 'B');
% clear
% load('test.mat', 'A')

%% Load the matrix
load vertical_sobel.mat

%% Display as image
imshow(vertical_sobel);

%% Display as color map
figure; imagesc(vertical_sobel); axis image; colormap(gray);

%% Plot a line
hold on

% Comment above hold on, and notice how the y axis changes.
plot([0, size(vertical_sobel, 2)],[0, size(vertical_sobel, 1)], '-r', 'LineWidth', 5);
redLine = @(x, y) plot(x, y, '-r', 'LineWidth', 5);

redLine([size(vertical_sobel, 2), 0],[0, size(vertical_sobel, 1)]);

%% X-Y vs I-J

%% Logical operators
img1 = imread('bw.jpg');
figure, imshow(img1);
r = img1(:,:,1);
g = img1(:,:,2);
g(g > 100) = 0;
img1(:,:,2) = g;
b = img1(:,:,3);
b(b > 100) = 0;
img1(:,:,3) = b;
figure, imshow(img1);