%% Custom function
P = custom_func([1 1 1], [2 2 2])
[P, Q] = custom_func([1 1 1], [2 2 2])
% custom_func_local([1 1 1], [2 2 2])

%% inter2
M = 10;
N = 5;
A = rand(M,N)
interp2(1:N,1:M,A,2,2.5)

%% conv2
I = conv2(A, eye(3), 'same')

%% norm
norm(I)

%% cat
vertcat(A, I)
[A; I]
horzcat(A, I)
[A I]

%% reshape
reshape(ans, [50 2])

%% bsxfun
X = [1 2 10; 3 4 20; 9 6 15];
Y = bsxfun(@minus, X, mean(X))

% 2016b and later supports broadcasting, covered by Xiao later