clc
clear

%% Creating array manually
A = [1 2 3;
    4 5 6;];

B = [6 5 4;
    3 2 1;];

% Point wise Addition and Multiplication
figure; imagesc(A + B); axis image; colormap(gray);
figure; imagesc(A .* B); axis image; colormap(gray);

%% Creating an array using functions
im1 = ones(10, 10);
im2 = [1:2:20];

%% Show output
% Adding 1D matrix to a 2D matrix
figure; imagesc(im1 + im2); axis image; colormap(gray);

T = im1 + im2

% Indexing
T(1, 1:10)
T(:)
T(3)
T(T == 2)
T(:, end)

%% Slicing
figure; imagesc(T(3:7, 3:7)); axis image; colormap(gray);

